import { BinaryReader } from '@callstack/polygen-binary-utils';
import type { Section } from './types.js';
/**
 * Reads sections from the provided BinaryReader and yields each parsed section.
 *
 * @param reader - The BinaryReader instance used to read sections from binary data.
 * @returns An iterable iterator of Section objects parsed from the binary reader.
 * @throws WebAssemblyDecodeError if an unknown section ID is encountered.
 */
export declare function readSections(reader: BinaryReader): IterableIterator<Section>;
//# sourceMappingURL=section-reader.d.ts.map